Subject: Re: [alsa-devel] [PATCH v2 1/3] ALSA SoC: Add OpenFirmware helper for matching bus and codec drivers

From: Timur Tabi <[email-masked]>
Date: Mon, 14 Jul 2008 13:40:24 -0500

Mark Brown wrote:

> Desktop Management Interface, a standard BIOS interface for getting
> system data on x86 class hardware.  Of particular interest here is the
> fact that it contains various ID strings for things like motherboard and
> chassis - on Linux drivers can be automatically loaded based on these
> strings.  See drivers/misc/thinkpad_acpi.c for an example of a driver
> that does this.

The only problem with this is that the OF probing code in the kernel binds
drivers to device tree nodes.  So when a driver claims a node, no other driver
will be probed with it.

So we can't have generic nodes that classify the motherboard and just let
everyone get probed on it.

-- 
Timur Tabi
Linux kernel developer at Freescale